Bug 985307 - Please add Python 3 subpackage to python-IPy
Please add Python 3 subpackage to python-IPy
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-IPy (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matt Domsch
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PY3ANACONDA
  Show dependency treegraph
 
Reported: 2013-07-17 05:30 EDT by Bohuslav "Slavek" Kabrda
Modified: 2015-01-21 09:19 EST (History)
3 users (show)

See Also:
Fixed In Version: python-IPy-0.81-9.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-21 09:19:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bohuslav "Slavek" Kabrda 2013-07-17 05:30:20 EDT
Hi,
it seems that python-IPy is compatible with Python 3. Could you possibly add a python3 subpackage in Fedora?
Thanks.
Comment 1 Fedora End Of Life 2013-09-16 10:34:03 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 2 Miro Hrončok 2013-10-01 10:32:37 EDT
If you need any extra hand with this, feel free to use me :)
Comment 3 Miro Hrončok 2013-10-02 07:37:49 EDT
Hi, we would like to use Python 3 on the default installation instead of Python 2 on Fedora 22.

From that perspective, your package is considered as IMPORTANT - that means, is has to be updated to Python 3, for our intention come true.

The goal here is, that at least for F22 you should provide python3- prefixed subpackage.

Please, help use update to Python 3 flawlessly.

Check if upstream already support Python 3, if yes, use it and add te support to the package.

If upstream doesn't support Python 3 yet, encourage it to do so by sending patches and offering your help.

When upstream is dead or unwilling to support Python 3, you'll need to patch this package on Fedora level. Try to avoid this as much as you can, but use it, if it's the last option.

Chances are, that you ARE the upstream. In that case, everything is easier, just do it yourself.

There is a table on wiki, that should list your package. Chances are, that you can see an upstream link that covers the problem. Anyway, please update the table with information you know.

https://fedoraproject.org/wiki/User:Churchyard/python3

I offer my help with this task, so if you have no idea, how to work on this, or it is just not your priority, don't hesitate to ask for help.

(As you've already realized, this is a bulk text, so if something is not quite exact about your package, sorry for that, just ask)
Comment 4 Toshio Ernie Kuratomi 2013-10-02 18:10:36 EDT
Note: do not follow this piece of advice as it is against the Packaging Guidelines: "When upstream is dead or unwilling to support Python 3, you'll need to patch this package on Fedora level. Try to avoid this as much as you can, but use it, if it's the last option."

If you are in this situation, you'll essentially be forking upstream in order to produce a python3 port.  In that situation, the proper thing to do is to create a new package with the python3 port.  It would be even better to create the proper upstream infrastructure as well (new upstream scm and issue tracker) but that isn't 100% required by the guidelines.
Comment 5 Bohuslav "Slavek" Kabrda 2015-01-21 09:19:13 EST
It seems that IPy now has a python3 subpackage (although it's named python-IPy-python3, not python3-IPy as it should). I'm closing this bug.

Note You need to log in before you can comment on or make changes to this bug.